Scilab Function
Last update : 16/06/2004

intersect - recherche de valeurs communes à deux vecteurs.

### Calling Sequence

  `[v, [ka,kb]]=intersect(a,b)`
  ``

### Parameters

- `a` : vecteur de nombres réels ou de chaînes de caractères
- `b` : vecteur de nombres réels ou de chaînes de caractères
- `v` : vecteur ligne de nombres réels ou de chaînes de caractères
- `ka` : vecteur ligne d'entiers
- `kb` : vecteur ligne d'entiers

### Description

`intersect(a,b)` renvoie un vecteur trié des valeurs communes à `a` et `b`.

`[v,ka,kb]=intersect(a,b)` renvoie aussi deux vecteurs d'indices `ka` et `kb` tels que `v=a(ka)` et `v=b(kb)`.

### Examples

    A=round(5*rand(10,1));
    B=round(5*rand(7,1));

    intersect(A,B)
    [N,ka,kb]=intersect(A,B)

    intersect('a'+string(A),'a'+string(B))

### See Also

`unique`, `sort`, `union`,